# Update v2.1.5 (2021-05-12) :

## Correction pour l'affichage des pages de confirmation de paiement

## Suite aux remarques de Stephan : 
	- Correction/complétion du htaccess pour la gestion du cache, des XSS...
	- Suppression des appels aux google font et google apis !
	- Ajout du lien "canonical" pour le référencement

## Différents bugfix :
	- Cotisation à 0euros possible maintenant !
	- Correction des données exportées (sur les flux principalement)
	- Fix 'montant minimum' cotisation + fix last operations + fix link to return home + add error msg to transaction/reconversion
	- Fix operations print on admin siege invalid
	- Fix installation bug on MLC_SYMBOL

# Update v2.1.4 (2021-02-22) :

## Refactorisation et amélioration du code

## Ajout de la possibilité de faire un thème pour le front Kohinos

## Sécurité et gestion de la monnaie :
	- Force HTTPS
	- Changement sur tout la BDD pour plus de sécurité : ID => UUID
	- Ajout de comptes pour :
		- Adherent : compte eMLC
		- Prestataire : compte eMLC
		- Siege : compte eMLC nantie, MLC nantie, billets MLC au siège (plus tard : compte euro de fonctionnement)
		- Groupe : compte billets MLC
		- Comptoir : compte billets MLC
	- Ajout d'opérations sur ces comptes en fonction des actions (flux)
	- Ajout de sécurité pour ne pas avoir la possibilité de faire plusieurs actions sur le même compte en même temps (transactional)
	- Modification des droits en fonction des rôles
	- Ajout d'un hash unique par operations et par compte pour vérifier l'intégrité des données et la non modification directement en BDD !
	- Ajout de commandes Symfony permettant de vérifier l'intégrité des comptes et opérations
	- Ajout de l'achat de monnaie (cb / emlc / espece / autre)
	- Ajout de la demande d'achat de monnaie (cheque / virement)
		=> Ajout d'une case à cocher pour les trésoriers / admin pour valider les demandes d'achat (à la réception du paiement)
	- Comptoir : Ajout de la vente de monnaie numérique aux adhérents et prestas (cb / emlc / espece / autre)
	- Ajout d'un bundle GPDR avec gestion des données sensibles et encryption des données en BDD => pour le moment, uniquement l'Iban prestataire

## Autres améliorations / corrections :

	- Suppression de la possibilité de changer de langue sur l'admin
	- Ajout des notifications emails différentes suivant les flux et le rôle dans l'action expediteur/destinataire
	- Ajout de redirection facultative et paramètrable en fonction de l'action menée
	- Ajout d'un écran permettant de voir toutes les opérations sur un compte
	- Admin siège : ajout de la possibilité d'imprimer/détruire des billets non nantis
	- Front Kohinos : 
		- Ajout de breadcrumb
		- léger arrondi des boutons et des block collapse
		- Loggué en admin : Ajout d'un lien vers la documentation du Kohinos
		- Ajout des statistiques (monnaie émise, en circulation, nantie...)